/*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU Library General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/
 
/* Code from io.h linux 0.0. 1 */
 
#ifndef __io_h__
#define __io_h__ 
 
// Byte out 
#define outb(port, value) \
asm ("outb %%al,%%dx"::"a" (value),"d" (port))

// Byte in
#define inb(port) \
({unsigned char _v; \
asm volatile ("inb %%dx,%%al":"=a" (_v):"d" (port));\
_v; })


#endif
