#include <salida.h>

int k_clrscr(void)
{
	char *vidmem = (char *) 0xb8000;
	unsigned int i=0;
	while(i<(80*2*25))
	{
		vidmem[i]= ' ';
		i++;
		vidmem[i]= 0x07;
		i++;
	};
	
	return (1); // Devuelve 1 si termina con exito
}

void putint(int num, unsigned int line)
{
	
	char s[20] ;
	char res[20] ;
	int i,c ;
	
	c=0 ; 
	
	do			
	{
		s[c]='0'+(int)num%10 ;		// Fill the s[] array with the character form
		num=num/10 ;			// of the number, stripped one digit at the time
		c++ ;		
	}
	while(num!=0) ;

	res[c]='\0' ;				// Terminate the string with a new-line character
						// and a null character
	
	for(i=c-1 ; i>=0 ; i--)			// Store the contents of the s[] array in the 
		res[c-i-1]=s[i] ;		// res[] array in the correct order (reversed)
	
	k_printf(res,line) ;			// Print the result string using the print function
}



unsigned int k_printf(char *message, unsigned int line)
{
	char *vidmem = (char *) 0xb8000;
	unsigned int i=0;

	i=(line*80*2);

	while(*message!=0) // 24h
	{
		if(*message==0x2F)
		{
			*message++;
			if(*message==0x6e)
			{
				line++;
				i=(line*80*2);
				*message++;
				if(*message==0)
				{
					return(1);
				};
			};
		};
		vidmem[i]=*message;
		*message++;
		i++;
		vidmem[i]=0x7;
		i++;
	};

	return(1);
}
